<?php

namespace Modules\User\Interfaces;

use Illuminate\Http\Request;
use Modules\User\Models\User;

interface UserRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function canteenUser(int $id);
    public function create(array $request): User;
    public function saveData(array $reques, $user_id);
    public function getItemTrashed(int $id);
    public function update(array $request, User $user): User;
    public function destroy(User $user): void;
    public function destroyAll(array $ids): void;
    public function restore(User $user): void;
    public function restoreAll(array $ids): void;

}
